%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Competition on Evolutionary Computation in the Energy Domain: 2025 Edition of the Risk-based Energy Scheduling
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% ALGORITMH: Enhanced Initialized Ring-Cellular Encode-Decode UMDA (EI_RCEDUMDA)
%This algorithm is the modified version of the RCEDUMDA(2023) algorithm which is developed by Ansel Y. Rodrguez Gonzlez, ngel Daz Pacheco, Ramn Aranda, Miguel . lvarez-Carmona, Yoan Martnez Lpez,  Julio Madera 
% The codes have been modified by the developers by proposing the initialization from the minimum bound which enhanced the original algorithm RCEDUMDA(2023).  
%% Developers: 
% Main author: Dharmesh A. Dabhi, 
% Co-authors: 
% Kartik S. Pandya,Associate Professor (Electrical Engineering), Parul University, Vadodara, Gujarat, INDIA
    
vRCEDUMDAparameters.I_maxFits       = 4031;                 
vRCEDUMDAparameters.I_repeatEvals   = 2;               

vRCEDUMDAparameters.maxEvals  = 4031; 

vRCEDUMDAparameters.I_lowPop  = 20;
                                      
vRCEDUMDAparameters.I_NP      =                   70;   
vRCEDUMDAparameters.I_itermax =                 1000;   

vRCEDUMDAparameters.I_indByCell =                  2;   
vRCEDUMDAparameters.I_StructureWidth   =          35;   
vRCEDUMDAparameters.I_StructureHeight  =           1;   
vRCEDUMDAparameters.I_NeighborhoodType  =          1;   
vRCEDUMDAparameters.I_NeighborhoodParam =         16;   
           
vRCEDUMDAparameters.I_SelectionMethod   =          1;   
vRCEDUMDAparameters.I_Selected          =         25;   

vRCEDUMDAparameters.I_elitismParam      =         10; 

vRCEDUMDAparameters.I_CodeSize          =          3; 

vRCEDUMDAparameters.I_EstimationParamsMethod =     0;      
vRCEDUMDAparameters.I_EstimationParamsParam  =     0;     

vRCEDUMDAparameters.I_EstimationStructureMethod =  0;   
vRCEDUMDAparameters.I_EstimationStructureParam  =  0;   

vRCEDUMDAparameters.I_ScalerMethod      =          2;   
vRCEDUMDAparameters.I_ScalerParam       =         0.009;


vRCEDUMDAparameters.I_SamplingMethod  =             0;   
vRCEDUMDAparameters.I_SamplingParam   =             0;   

vRCEDUMDAparameters.I_evaluationProxy =              0; 
                                                                                       
%

